/*
 * 特别声明：本技术材料受《中华人民共和国著作权法》、《计算机软件保护条例》等法律、法规、行政
 * 规章以及有关国际条约的保护，赞同科技享有知识产权、保留一切权利并视其为技术秘密。未经本公司书
 * 面许可，任何人不得擅自（包括但不限于：以非法的方式复制、传播、展示、镜像、上载、下载）使用，
 * 不得向第三方泄露、透露、披露。否则，本公司将依法追究侵权者的法律责任。特此声明！
 *
 * Special Declaration: These technical material reserved as the technical secrets by AGREE 
 * TECHNOLOGY have been protected by the "Copyright Law" "ordinances on Protection of Computer 
 * Software" and other relevant administrative regulations and international treaties. Without 
 * the written permission of the Company, no person may use (including but not limited to the 
 * illegal copy, distribute, display, image, upload, and download) and disclose the above 
 * technical documents to any third party. Otherwise, any infringer shall afford the legal 
 * liability to the company.
 */
/**
 * Created by liushuai on 2015/4/14.
 */
define(function()
{
    return {
        BACKSPACE: 8,
        TAB: 9,
        CLEAR: 12,
        ENTER: 13,
        SHIFT: 16,
        CTRL: 17,
        ALT: 18,
        META: 91,		// the apple key on macs
        PAUSE: 19,
        CAPS_LOCK: 20,
        ESCAPE: 27,
        SPACE: 32,
        PAGE_UP: 33,
        PAGE_DOWN: 34,
        END: 35,
        HOME: 36,
        LEFT_ARROW: 37,
        UP_ARROW: 38,
        RIGHT_ARROW: 39,
        DOWN_ARROW: 40,
        INSERT: 45,
        DELETE: 46,
        HELP: 47,
        NUM_0 : 48,
        NUM_1 : 49,
        NUM_2 : 50,
        NUM_3 : 51,
        NUM_4 : 52,
        NUM_5 : 53,
        NUM_6 : 54,
        NUM_7 : 55,
        NUM_8 : 56,
        NUM_9 : 57,
        CHAR_A : 65,
        CHAR_B : 66,
        CHAR_C : 67,
        CHAR_D : 68,
        CHAR_E : 69,
        CHAR_F : 70,
        CHAR_G : 71,
        CHAR_H : 72,
        CHAR_I : 73,
        CHAR_J : 74,
        CHAR_K : 75,
        CHAR_L : 76,
        CHAR_M : 77,
        CHAR_N : 78,
        CHAR_O : 79,
        CHAR_P : 80,
        CHAR_Q : 81,
        CHAR_R : 82,
        CHAR_S : 83,
        CHAR_T : 84,
        CHAR_U : 85,
        CHAR_V : 86,
        CHAR_W : 87,
        CHAR_X : 88,
        CHAR_Y : 89,
        CHAR_Z : 90,
        LEFT_WINDOW: 91,
        RIGHT_WINDOW: 92,
        SELECT: 93,
        NUMPAD_0: 96,
        NUMPAD_1: 97,
        NUMPAD_2: 98,
        NUMPAD_3: 99,
        NUMPAD_4: 100,
        NUMPAD_5: 101,
        NUMPAD_6: 102,
        NUMPAD_7: 103,
        NUMPAD_8: 104,
        NUMPAD_9: 105,
        NUMPAD_MULTIPLY: 106,
        NUMPAD_PLUS: 107,
        NUMPAD_ENTER: 108,
        NUMPAD_MINUS: 109,
        NUMPAD_PERIOD: 110,
        NUMPAD_DIVIDE: 111,
        F1: 112,
        F2: 113,
        F3: 114,
        F4: 115,
        F5: 116,
        F6: 117,
        F7: 118,
        F8: 119,
        F9: 120,
        F10: 121,
        F11: 122,
        F12: 123,
        F13: 124,
        F14: 125,
        F15: 126,
        NUM_LOCK: 144,
        SCROLL_LOCK: 145,
        UP_DPAD: 175,
        DOWN_DPAD: 176,
        LEFT_DPAD: 177,
        RIGHT_DPAD: 178
    }
})