/*
 * 特别声明：本技术材料受《中华人民共和国著作权法》、《计算机软件保护条例》等法律、法规、行政
 * 规章以及有关国际条约的保护，赞同科技享有知识产权、保留一切权利并视其为技术秘密。未经本公司书
 * 面许可，任何人不得擅自（包括但不限于：以非法的方式复制、传播、展示、镜像、上载、下载）使用，
 * 不得向第三方泄露、透露、披露。否则，本公司将依法追究侵权者的法律责任。特此声明！
 *
 * Special Declaration: These technical material reserved as the technical secrets by AGREE 
 * TECHNOLOGY have been protected by the "Copyright Law" "ordinances on Protection of Computer 
 * Software" and other relevant administrative regulations and international treaties. Without 
 * the written permission of the Company, no person may use (including but not limited to the 
 * illegal copy, distribute, display, image, upload, and download) and disclose the above 
 * technical documents to any third party. Otherwise, any infringer shall afford the legal 
 * liability to the company.
 */
/**
 * Created by huang.dy on 2016/5/20.
 */
export class RowGridLayoutData {
    private s: number;
    private m: number;
    private l: number;
    private os: number;
    private om: number;
    private ol: number;
    public row: number;

    constructor(args: { s: number, m: number, l: number, os: number, om: number, ol: number, row: number }) {
        this.s = args.s;
        this.m = args.m;
        this.l = args.l;
        this.os = args.os;
        this.om = args.om;
        this.ol = args.ol;
        this.row = args.row;
    }

    public getColumn(): string {
        return "s" + this.s + " m" + this.m + " l" + this.l;
    }

    public getOffset(): string {
        return "offset-s" + this.os + " offset-m" + this.om + " offset-l" + this.ol;
    }
}